Api
Deal
Manage sales-pipeline deals — create, list, update and move deals between stages.
GET
httpheader
AuthorizationBearer <token>application/json- response
curl -X GET 'https://aexrux.com/api/v1/deals'Example Response200
{}POST
httpheader
AuthorizationBearer <token>application/json- body
title*stringLength
length <= 191pipeline_id?integer|nullstage_id?integer|nullvalue?|Range
0 <= value <= 99999999currency?|Length
length <= 10contact_id?integer|nullowner_user_id?integer|nullexpected_close_date?|Format
date-timeapplication/json- response
curl -X POST 'https://aexrux.com/api/v1/deals' \ -H 'Content-Type: application/json' \ -d '{ "title": "string"}'Example Response
{}GET
httpheader
AuthorizationBearer <token>id*integerapplication/json- response
curl -X GET 'https://aexrux.com/api/v1/deals/0'Example Response200
{}DELETE
httpheader
AuthorizationBearer <token>id*integerapplication/json- response
curl -X DELETE 'https://aexrux.com/api/v1/deals/0'Example Response200
{}PUT
httpheader
AuthorizationBearer <token>id*integerapplication/json- body
title?stringLength
length <= 191value?|Range
0 <= value <= 99999999currency?|Length
length <= 10stage_id?integer|nullcontact_id?integer|nullowner_user_id?integer|nullexpected_close_date?|Format
date-timelost_reason?|Length
length <= 191application/json- response
curl -X PUT 'https://aexrux.com/api/v1/deals/0' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{}GET
httpheader
AuthorizationBearer <token>application/json- response
curl -X GET 'https://aexrux.com/api/v1/pipelines'Example Response200
{}GET
httpheader
AuthorizationBearer <token>since?stringapplication/json- response
curl -X GET 'https://aexrux.com/api/v1/leads'Example Response200
{}Conversation
Read your workspace inbox across EVERY channel: list chat threads (each with its `channel` and the customer id) and fetch the messages inside a thread — WhatsApp, Facebook, Instagram and Telegram alike.
Device
List the WhatsApp numbers / devices connected to your workspace and check each one's connection status.